Subject: Re: Bitcoin v0.1 released

From: "Dustin D. Trammell" <[email-masked]>
Date: Thu, 15 Jan 2009 19:14:27 -0600

On Fri, 2009-01-16 at 03:10 +0800, Satoshi Nakamoto wrote:
> There's at least one node who's inbound IP keeps changing all the
> time within the same class B.  Maybe every time the program is
> run.  I wasn't expecting that.

Pretty sure that's not me.  My BitCoin application at work should be
coming from our static NAT address and my connection at home has had the
IP that I gave you for at least 3 days now (that I've been transferring
coins between them for test purposes).

> Do you mind if I CC the rest of this to bitcoin-list or
> Cryptography?

Sure, no problem.

> BTW, bitcoin-list is:
> [email-masked]
> Subscribe/unsubscribe page:
> http://lists.sourceforge.net/mailman/listinfo/bitcoin-list
> Archives:
> http://sourceforge.net/mailarchive/forum.php?forum_name=bitcoin-list

I'll join right now, thanks (:

> Hal sort of alluded to the possibility that it could be seen as a
> long-odds investment.  I would be surprised if 10 years from now
> we're not using electronic currency in some way, now that we know
> a way to do it that won't inevitably get dumbed down when the TTP
> gets cold feet.

Yes, I saw that message and was one of the other reasons I started up a
node so quickly.  My systems aren't doing much of anything else while
idle, so why not create BitCoins?  And if they're worth something
someday...? Bonus!

> Even if it doesn't take off straight away, it's now available for
> use by the next guy who comes up with a plan that needs some kind
> of token or electronic currency.  It could get started in a closed
> system or narrow niche like reward points, donation tokens,
> currency for a game or micropayments for adult sites.  Once it
> gets bootstrapped, there are so many applications if you could
> effortlessly pay a few cents to a website as easily as dropping
> coins in a vending machine. 

I can see how various types of sites that have a need for micropayments
could use them, however I also see an impedement to adoption if they
want to use an existing BitCoin peer group rather than a closed system
since they would first have to generate enough coins to support what
they intend to do (or buy them from someone else).  A closed system
obviously doesn't have that problem.

> It can already be used for pay-to-send e-mail.  The send dialog is
> resizeable and you can enter as long of a message as you like.
> It's sent directly when it connects.  The recipient doubleclicks
> on the transaction to see the full message.  If someone famous is
> getting more e-mail than they can read, but would still like to
> have a way for fans to contact them, they could set up Bitcoin and
> give out the IP address on their website.  "Send X bitcoins to my
> priority hotline at this IP and I'll read the message personally."

Interesting application (:

> Subscription sites that need some extra proof-of-work for their
> free trial so it doesn't cannibalize subscriptions could charge
> bitcoins for the trial.

Another good idea.

-- 
Dustin D. Trammell
[email-masked]
http://www.dustintrammell.com